<%
/*
 *----------------------------------------------------------------------
 * Licensed Materials - Property of IBM
 *
 * 5724-A18
 *
 * (c) Copyright International Business Machines Corporation. 2001-2004
 *     All rights reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 *
 *----------------------------------------------------------------------
 */

//*---------------------------------------------------------------------
//* The sample contained herein is provided to you "AS IS".
//*
//* It is furnished by IBM as a simple example and has not been  
//* thoroughly tested under all conditions.  IBM, therefore, cannot
//* guarantee its reliability, serviceability or functionality.  
//*
//* This sample may include the names of individuals, companies, brands 
//* and products in order to illustrate concepts as completely as 
//* possible.  All of these names are fictitious and any similarity
//* to the names and addresses used by actual persons or business
//* enterprises is entirely coincidental.
//*---------------------------------------------------------------------
//*
%><%@ page import="com.ibm.commerce.server.WcsApp" %>
<%@ page import="com.ibm.commerce.server.JSPHelper" %>

<HTML>
  <HEAD>
    <TITLE>Messaging Extensions Storec Logon Redirect jsp</TITLE>
  </HEAD>

  <BODY>


<%
String hostName = "";

JSPHelper jspHelper = new JSPHelper(request);

String logon_mode = jspHelper.getParameter("logonMode");
String storeId = jspHelper.getParameter("storeId");
String langId = jspHelper.getParameter("langId");
String catalogId = jspHelper.getParameter("catalogId");
String logonId = jspHelper.getParameter("logonId");
String buyerOrgId = jspHelper.getParameter("buyerOrgEntity_ID");
String memGrpId = jspHelper.getParameter("memGrpId");
String orderId = null;
String itemId = null;
String currentConractIds="10053";
String EligibleContractIds="10053";

hostName = WcsApp.configProperties.getValue("WebServer/HostName");
if(hostName == null) hostName = request.getRemoteHost();


if (logon_mode.equals("1")) 
{
%>
	<script language="JavaScript">
		location.href="http://<%=hostName%>/webapp/wcs/stores/servlet/TopCategoriesDisplay?storeId=<%=storeId%>&langId=<%=langId%>&catalogId=<%=catalogId%>&logonMode=<%=logon_mode%>&logonId=<%=logonId%>&buyerOrgId=<%=buyerOrgId%>&memGrpId=<%=memGrpId%>";
    </script>
<%
} 
else if (logon_mode.equals("2"))
{
    orderId = jspHelper.getParameter("buyerOrderID");
 %>
	<script language="JavaScript">
		location.href="https://<%=hostName%>/webapp/wcs/stores/servlet/OrderItemDisplay?storeId=<%=storeId%>&langId=<%=langId%>&catalogId=<%=catalogId%>&orderId=<%=orderId%>";
    </script>
<%
}
else if (logon_mode.equals("3"))
{
    orderId = jspHelper.getParameter("buyerOrderID");
%>
 	<script language="JavaScript">
		location.href="https://<%=hostName%>/webapp/wcs/stores/servlet/IBMStore/InspectOrder.jsp?storeId=<%=storeId%>&langId=<%=langId%>&catalogId=<%=catalogId%>&orderId=<%=orderId%>";
    </script>
<%
} 
else if (logon_mode.equals("4"))
{
    itemId = jspHelper.getParameter("itemID");
%>
	<H1>Error: The 'display' logon mode is not supported </H1> 
<%
}
else 
{
%>
	<H1>Error: Unable to recognize logon_mode param <%= logon_mode %></H1>      
<%
}
%>  

  </BODY>

</HTML>


