<%
/*
 *----------------------------------------------------------------------
 * Licensed Materials - Property of IBM
 *
 * 5724-A18
 *
 * (c) Copyright International Business Machines Corporation. 2001-2004
 *     All rights reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 *
 *----------------------------------------------------------------------
 */

//*---------------------------------------------------------------------
//* The sample contained herein is provided to you "AS IS".
//*
//* It is furnished by IBM as a simple example and has not been  
//* thoroughly tested under all conditions.  IBM, therefore, cannot
//* guarantee its reliability, serviceability or functionality.  
//*
//* This sample may include the names of individuals, companies, brands 
//* and products in order to illustrate concepts as completely as 
//* possible.  All of these names are fictitious and any similarity
//* to the names and addresses used by actual persons or business
//* enterprises is entirely coincidental.
//*---------------------------------------------------------------------
//*
%><%
	response.setContentType("text/xml");
%><%@ page import="java.sql.*" %><%@ page import="java.util.*" %><%@ page import="com.ibm.commerce.server.WcsApp" %><%@ page import="com.ibm.commerce.server.JSPHelper" %><%@ page import="com.ibm.commerce.beans.ErrorDataBean" %><%@ page import="com.ibm.commerce.datatype.TypedProperty" %><%
   
   
   String xmlVersion = "1.0"; 
   String xmlEncoding = "UTF-8"; 
   String cxmlVersion = "1.1.008"; 
   String dtd = "http://xml.cXML.org/schemas/cXML/1.1.008/cXML.dtd"; 

   String xmlLang ="";

   String statusCode = null;
   String statusMessage = null;
   String statusText = null;
   String hostName = WcsApp.configProperties.getValue("WebServer/HostName");

   
   JSPHelper JSPHelp    = new JSPHelper(request);

   TypedProperty exceptionProperties = null;

   try
   {
	ErrorDataBean errorBean = new ErrorDataBean (); 
	com.ibm.commerce.beans.DataBeanManager.activate (errorBean, request);
	
	exceptionProperties = errorBean.getExceptionData();
	
   }catch (Exception e) {
        
   }

   if (exceptionProperties != null)
   {
   	statusCode 		= exceptionProperties.getString("statusCode", null);
      statusText    	= exceptionProperties.getString("statusText", null);
   	statusMessage 	= exceptionProperties.getString("statusMessage", null);
   }
   else
   {

      statusCode 		= JSPHelp.getParameter("statusCode");
   	statusText    	= JSPHelp.getParameter("statusText");
   	statusMessage 	= JSPHelp.getParameter("statusMessage");
   }
   if ( statusMessage == null) 
	statusMessage="";

   //response.setStatus( (new Integer(statusCode)).intValue() );

   
   
  
   java.sql.Timestamp t = new java.sql.Timestamp(System.currentTimeMillis());
   
   float offset = TimeZone.getDefault().getRawOffset()/3600000f;
   int i = (int)offset;
   String s = ((i >= 0) ? "+" : "") + String.valueOf(i);
   if ((offset - (float)i) != 0)
   {
       s += ":30";
   }
   else
   {
       s += ":00";
   }
   
   String isoTime = t.toString().substring(0,10) + "T" + t.toString().substring(11,19) + s;
   
   String payLoadId=null;
   String currentTime = System.currentTimeMillis()+"";
   long nextValue=0;
   ++nextValue;
   payLoadId = currentTime+"."+ nextValue+"@"+hostName;
   
   String template = "<?xml version=\"" 
                     +xmlVersion +"\" encoding=\"" +xmlEncoding+"\"?>\n"
                     + "<!DOCTYPE cXML SYSTEM \""
                     + dtd +"\">\n"
                     + "<cXML version=\""
                     +cxmlVersion+"\" payloadID=\""
                     +payLoadId+"\" timestamp=\""+ isoTime
                     +"\" xml:lang=\"en-US\">\n"
                     + "    <Response>\n"
                     + "        <Status code=\""
                     +statusCode +"\" text=\""+statusText+"\">"
                     +statusMessage+"</Status>\n"
   			   +"</Response>\n</cXML>";
%><%= template %>
